Loading...
Searching...
No Matches
etl::chrono::weekday Class Reference

weekday More...

`#include <weekday.h>`

## Public Member Functions

ETL_CONSTEXPR | weekday () ETL_NOEXCEPT
| Default constructor.
ETL_CONSTEXPR | weekday (unsigned value_) ETL_NOEXCEPT
| Construct from unsigned.
ETL_CONSTEXPR14 | weekday (const etl::chrono::sys_days &sd) ETL_NOEXCEPT
| Construct from sys_days.
ETL_CONSTEXPR14 | weekday (const etl::chrono::local_days &ld) ETL_NOEXCEPT
| Construct from local_days.
ETL_CONSTEXPR14 | weekday (const etl::chrono::weekday &other) ETL_NOEXCEPT
| Copy constructor.
ETL_CONSTEXPR14 etl::chrono::weekday & | operator= (const etl::chrono::weekday &rhs) ETL_NOEXCEPT
| Assignment operator.
ETL_CONSTEXPR14 etl::chrono::weekday & | operator++ () ETL_NOEXCEPT
| Pre-increment operator.
ETL_CONSTEXPR14 etl::chrono::weekday | operator++ (int) ETL_NOEXCEPT
| Post-increment operator.
ETL_CONSTEXPR14 etl::chrono::weekday & | operator-- () ETL_NOEXCEPT
| Pre-decrement operator.
ETL_CONSTEXPR14 etl::chrono::weekday | operator-- (int) ETL_NOEXCEPT
| Post-decrement operator.
ETL_CONSTEXPR14 etl::chrono::weekday & | operator+= (const etl::chrono::days &ds) ETL_NOEXCEPT
| Plus-equals operator adding etl::chrono::days.
ETL_CONSTEXPR14 etl::chrono::weekday & | operator-= (const etl::chrono::days &ds) ETL_NOEXCEPT
| Minus-equals operator subtracting etl::chrono::days.
ETL_NODISCARD ETL_CONSTEXPR14 bool | ok () const ETL_NOEXCEPT
| Returns true if the weekday is within the valid 1 to 31 range.
ETL_NODISCARD ETL_CONSTEXPR14 unsigned | c_encoding () const ETL_NOEXCEPT
| Get the C encoding of the weekday.
ETL_NODISCARD ETL_CONSTEXPR14 unsigned | iso_encoding () const ETL_NOEXCEPT
| Get the ISO encoding of the weekday.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::weekday_indexed | operator[] (unsigned index) const ETL_NOEXCEPT
| Index operator from index.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::weekday_last | operator[] (etl::chrono::last_spec last) const ETL_NOEXCEPT
| Index operator from etl::chrono::last_spec.
ETL_NODISCARD ETL_CONSTEXPR14 bool | is_weekend () const ETL_NOEXCEPT
| Returns true if the day is a weekend.

## Static Public Member Functions

static ETL_NODISCARD ETL_CONSTEXPR14 unsigned | min () ETL_NOEXCEPT
static ETL_NODISCARD ETL_CONSTEXPR14 unsigned | max () ETL_NOEXCEPT

## Detailed Description

weekday

## Member Function Documentation

## max()

ETL_NODISCARD ETL_CONSTEXPR14 unsigned etl::chrono::weekday::max | ( |  | ) |

inline static

The maximum weekday value for which ok() will return true C encoding.

## min()

ETL_NODISCARD ETL_CONSTEXPR14 unsigned etl::chrono::weekday::min | ( |  | ) |

inline static

The minimum weekday value for which ok() will return true C encoding.

## operator[]()

ETL_CONSTEXPR14 etl::chrono::weekday_indexed etl::chrono::weekday::operator[] | ( | unsigned | index | ) | const

inline

Index operator from index.

weekday index operator from index

The documentation for this class was generated from the following file:

- include/etl/private/chrono/weekday.h